# svelte-library

For our NPM Svelte UI library, we've chosen to implement a design system based on the principles of shadcn. This approach allows us to create a cohesive and visually appealing user interface while maintaining flexibility and ease of use for developers.

Key features of our UI library include:

- Customizable components adhering to shadcn design principles (e.g., shadcn-svelte)
- Responsive layouts for seamless desktop and mobile experiences
- Accessibility-focused implementations
- Easy integration with existing Svelte projects
- Comprehensive documentation and examples

By leveraging the shadcn design system, we aim to provide a modern, efficient, and visually consistent UI toolkit for our development team and potential open-source contributors.

## Getting started

```bash
pnpm prepack
npm publish
```

## Don't Try This (series)

Why “Don’t Try This Series”? “Don’t Try This” does not reflect on the quality and stability of each project. It is, rather, a tongue-in-cheek way of describing how these projects will be continually “in progress.” Read more on the topic [here](https://github.com/dont-try-this/dont-try-this).
